summaryrefslogtreecommitdiff
path: root/dev-python/pytest-subtesthack
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/pytest-subtesthack
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pytest-subtesthack')
-rw-r--r--dev-python/pytest-subtesthack/Manifest1
-rw-r--r--dev-python/pytest-subtesthack/metadata.xml12
-rw-r--r--dev-python/pytest-subtesthack/pytest-subtesthack-0.1.1.ebuild33
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/pytest-subtesthack/Manifest b/dev-python/pytest-subtesthack/Manifest
new file mode 100644
index 000000000000..31ce793f334f
--- /dev/null
+++ b/dev-python/pytest-subtesthack/Manifest
@@ -0,0 +1 @@
+DIST pytest-subtesthack-0.1.1.tar.gz 2410 BLAKE2B 3d41950ad46bb07da145db7f88eba7eb34a2bbb99273f47d2443cae5ab0e11737f1c2fe81bf473180178b2ad9e55b252c7717846f1b010cc58fb1bf61380d003 SHA512 0bf6425b535e65dc7f06f74493d10fbb6451e78a817174638661d7525f39f092f67db8da010228cbd54b400485e71e443118f91ebef660b9c00d2b354062a55f
diff --git a/dev-python/pytest-subtesthack/metadata.xml b/dev-python/pytest-subtesthack/metadata.xml
new file mode 100644
index 000000000000..eb65fed38a5c
--- /dev/null
+++ b/dev-python/pytest-subtesthack/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">pytest-subtesthack</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pytest-subtesthack/pytest-subtesthack-0.1.1.ebuild b/dev-python/pytest-subtesthack/pytest-subtesthack-0.1.1.ebuild
new file mode 100644
index 000000000000..87ae193d0678
--- /dev/null
+++ b/dev-python/pytest-subtesthack/pytest-subtesthack-0.1.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A hack for test fixtures, needed for hypothesis inside py.test"
+HOMEPAGE="https://github.com/untitaker/pytest-subtesthack/"
+# pypi tarball misses tests
+SRC_URI="https://github.com/untitaker/pytest-subtesthack/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/pytest[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}